Bug 239110 - security/maltrail: Update to 0.14
Summary: security/maltrail: Update to 0.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-10 12:06 UTC by Michael Muenz
Modified: 2019-07-18 15:09 UTC (History)
2 users (show)

See Also:


Attachments
0.14-diff (25.21 KB, patch)
2019-07-10 12:06 UTC, Michael Muenz
no flags Details | Diff
fixed dependencies (25.03 KB, patch)
2019-07-18 11:15 UTC, Michael Muenz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Muenz 2019-07-10 12:06:07 UTC
Created attachment 205655 [details]
0.14-diff

Hi,

Enclosed diff for update to latest version 0.14.
poudriere and portlint -A runs fine.
Comment 1 Bernhard Froehlich freebsd_committer 2019-07-15 15:27:50 UTC
I'll take it.
Comment 2 Michael Muenz 2019-07-18 11:15:42 UTC
Created attachment 205861 [details]
fixed dependencies

maltrail does not yet work python3
Comment 3 Michael Muenz 2019-07-18 11:17:37 UTC
New version doesn't run without sqlite and needs PY2.7 (yet). 
Sorry if you already started to work on this!
Comment 4 commit-hook freebsd_committer 2019-07-18 15:08:56 UTC
A commit references this bug:

Author: decke
Date: Thu Jul 18 15:08:45 UTC 2019
New revision: 506854
URL: https://svnweb.freebsd.org/changeset/ports/506854

Log:
  security/maltrail:
  - Update to 0.14
  - Add missing sqlite3 dependency
  - Limit to python 2.7 because 3.x is not supported yet [1]

  PR:		239110
  Submitted by:	Michael Muenz <m.muenz@gmail.com> (maintainer)
  See:		https://github.com/stamparm/maltrail/issues/162 [1]

Changes:
  head/security/maltrail/Makefile
  head/security/maltrail/distinfo
  head/security/maltrail/pkg-plist
Comment 5 Bernhard Froehlich freebsd_committer 2019-07-18 15:09:48 UTC
Committed. Thanks!